<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class HomeController extends AbstractController
{
    #[Route('/', name: 'home')]
    public function index(): Response
    {
        $emojis = [
            [
                'id' => 1,
                'nom' => 'Bob',
                'code' => '😊',
                'force' => 12.5,
                'robustesse' => 9.3,
                'intelligence' => 7.8,
                'vitesse' => 10.0,
                'nbCombatGagne' => 3,
                'rarete' => 2, // épique
            ],
            [
                'id' => 2,
                'nom' => 'John',
                'code' => '😭',
                'force' => 5.1,
                'robustesse' => 4.2,
                'intelligence' => 3.3,
                'vitesse' => 6.0,
                'nbCombatGagne' => 1,
                'rarete' => 1, // commun
            ],
            [
                'id' => 3,
                'nom' => 'Rodolph',
                'code' => '😁',
                'force' => 20.0,
                'robustesse' => 15.0,
                'intelligence' => 18.0,
                'vitesse' => 17.0,
                'nbCombatGagne' => 10,
                'rarete' => 4, // légendaire
            ]
        ];

        // Ajout de la couleur selon la rareté
        foreach ($emojis as &$emoji) {

            $emoji['color'] = match ($emoji['rarete']) {
                1 => 'green',     // commun
                2 => 'purple',    // épique
                3 => 'red',       // mythique
                4 => 'gold',      // légendaire
                default => 'gray'
            };
        }

        return $this->render('home/index.html.twig', [
            'emojis' => $emojis,
        ]);
    }
}
